Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_LF_Follower Class Reference

Represent a thread blocked, as a follower, in the Leader/Followers set. More...

`#include <LF_Follower.h>`

Inheritance diagram for TAO_LF_Follower:

[legend]
Collaboration diagram for TAO_LF_Follower:

[legend]
List of all members.

## Public Methods
| TAO_LF_Follower (TAO_Leader_Follower &leader_follower)
| Constructor.
| ~TAO_LF_Follower (void)
| Destructor.
TAO_Leader_Follower & | leader_follower (void)
| Access the leader follower that owns this follower.
int | wait (ACE_Time_Value *tv)
| Wait until on the underlying condition variable.
int | signal (void)
| Signal the underlying condition variable.
## Private Attributes
TAO_Leader_Follower & | leader_follower_
| The Leader/Follower set this Follower belongs to.
ACE_SYNCH_CONDITION | condition_
| Condition variable used to.

## Detailed Description

Represent a thread blocked, as a follower, in the Leader/Followers set.

Todo:
  Currently this class offers little abstraction, the follower loop should be implemented by this class.

## Constructor & Destructor Documentation

TAO_LF_Follower::TAO_LF_Follower | ( | TAO_Leader_Follower & | leader_follower | ) |

| Constructor.

TAO_LF_Follower::~TAO_LF_Follower | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_INLINE TAO_Leader_Follower & TAO_LF_Follower::leader_follower | ( | void |  | ) |

| Access the leader follower that owns this follower.

int TAO_LF_Follower::signal | ( | void |  | ) |

| Signal the underlying condition variable.

ACE_INLINE int TAO_LF_Follower::wait | ( | ACE_Time_Value * | tv | ) |

| Wait until on the underlying condition variable.

## Member Data Documentation

ACE_SYNCH_CONDITION TAO_LF_Follower::condition_`[private]`

| Condition variable used to.

TAO_Leader_Follower& TAO_LF_Follower::leader_follower_`[private]`

| The Leader/Follower set this Follower belongs to.

The documentation for this class was generated from the following files:

- LF_Follower.h
- LF_Follower.cpp
- LF_Follower.inl